Ext.define('LMSplaylistEditor.store.AlbumSearchResults', {
	extend: 'Ext.data.Store',
	requires: 'LMSplaylistEditor.model.SlimAlbum',
	model: 'LMSplaylistEditor.model.SlimAlbum',

	autoLoad: false,

	proxy: {
		type: 'jsonp',
		timeout: 20000,
		disableCaching: false,
		url: LMSplaylistEditor.RuntimeConfig.config.JSONPURL,
		extraParams: {
			args: {
				cmd: 'searchAlbumsByName',
				name: ''
			}
		},
		reader: {
			type: 'json',
			rootProperty: 'results'
		}
	}
});
