Ext.define('LMSplaylistEditor.store.AllGenres', {
	extend: 'Ext.data.Store',
	requires: 'LMSplaylistEditor.model.SlimGenre',
	model: 'LMSplaylistEditor.model.SlimGenre',

	autoLoad: true,

	proxy: {
		type: 'jsonp',
		disableCaching: false,
		timeout: 20000,
		url: LMSplaylistEditor.RuntimeConfig.config.JSONPURL,
		extraParams: {
			args: Ext.JSON.encode( {
					cmd: 'getGenres'
			})
		},
		reader: {
			type: 'json',
			rootProperty: 'results.genres_loop'
		}
	}
});
