Ext.define('LMSplaylistEditor.store.ArtistAlbumsBase', {
	extend: 'Ext.data.Store',
	requires: 'LMSplaylistEditor.model.SlimAlbum',
	model: 'LMSplaylistEditor.model.SlimAlbum',

	autoLoad: false,
	sorters: [{
		property: 'title',
		direction: 'ASC'
		}],	

	proxy: {
		type: 'jsonp',
		timeout: 20000,
		disableCaching: true,
		url: LMSplaylistEditor.RuntimeConfig.config.JSONPURL,
		extraParams: {
			args: Ext.JSON.encode( {
					cmd: 'getAlbumsByArtist',
					artistid: ""
			})
		},
		reader: {
			type: 'json',
			rootProperty: 'results'
		}
	}
});
