Ext.define('LMSplaylistEditor.store.TrackSearchResults', {
	extend: 'Ext.data.BufferedStore',
	requires: ['LMSplaylistEditor.model.SlimSong','LMSplaylistEditor.RuntimeConfig'],
	model: 'LMSplaylistEditor.model.SlimSong',

	autoLoad: false,
	remoteSort: true,
	remoteGroup: true,
	pageSize: 500,
	leadingBufferZone: 800,
	trailingBufferZone:400,
	purgePageCount: 0,

	proxy: {
		type: 'jsonp',
		disableCaching: false,
		url: LMSplaylistEditor.RuntimeConfig.config.JSONPURL,
		timeout: 30000,
//		groupParam: 'sort',
//		groupDirectionParam: 'direction',
		extraParams: {
			args: Ext.JSON.encode( {
					cmd: 'searchTracksByName',
					name: ""
			})
		},
		reader: {
			type: 'json',
			rootProperty: 'results.tracks_loop',
			totalProperty: 'results.count'
		}
	}
});
