Ext.define('LMSplaylistEditor.ux.SlimGridAlbumsAll', {
	extend: 'LMSplaylistEditor.ux.SlimGridAlbumsBase',
	xtype: 'slim-grid-albumsall',
	alias: 'widget.slim-grid-albumsall',
	id: 'SlimGridAlbumsAll',
	controller: 'SlimLibraryController',

//	store: 'AllAlbums',
	store: Ext.create( 'LMSplaylistEditor.store.AllAlbums', {storeId:'AllAlbums'}),

	features: [],
/*
	verticalScroller:{
		variableRowHeight: false,
		leadingBufferZone: 80,
		trailingBufferZone: 40
	},
	*/
//	plugins: {
//		ptype: 'bufferedrenderer',
//		trailingBufferZone: 20,  // Keep 20 rows rendered in the table behind scroll
//		leadingBufferZone: 50   // Keep 50 rows rendered in the table ahead of scroll
//	},
	listeners: {
		itemdblclick: 'onLibraryAlbumsDoubleClick',
		scope: 'controller'
    },

	initComponent: function() {
		this.callParent( arguments);
		this.on('show', this.initStore, this);
	},
	initStore: function() {
		var s = this.getStore();
		if( s.getCount() == 0) {
			s.loadPage(1);
		}
	}
});