Ext.define('LMSplaylistEditor.ux.SlimGridAllGenres', {
	extend: 'Ext.grid.Panel',
	xtype: 'slim-grid-allgenres',
	alias: 'widget.slim-grid-allgenres',
	requires: ['LMSplaylistEditor.store.AllGenres', 'Ext.grid.filters.Filters'],
	id: 'SlimGridAllGenres',
	controller: 'SlimLibraryController',

//	store: 'AllGenres',
	store: Ext.create( 'LMSplaylistEditor.store.AllGenres', {storeId:'AllGenres'}),

	sortableColumns: true,
	closeAction: 'hide',
	selModel: {
		selType: 'rowmodel',
		mode: 'MULTI'
	},
	
	layout: {
		type: "fit"
	},
	
	/*
	features: [{
		ftype: 'filters',
		autoReload: false,
		local: true
	}],
	*/

	plugins: 'gridfilters',
	viewConfig: {
		plugins: {
			ddGroup: 'GridTracksDND',
			ptype: 'gridviewdragdrop',
			dragText: 'Drag items to the \"Add\" button, or drop into the playlist',
			enableDrop: false
		}
	},
	enableDragDrop : true,

	scrollable: 'vertical',

	columns: [
		{ 
			text: 'Name', dataIndex: 'genre', flex:1
		}
	],
	listeners: {
		itemdblclick: 'onLibraryGenresDoubleClick',
		scope: 'controller'
    },

	initComponent: function() {
//		this.getStore().on("load", this.onStoreLoad, this);
/*
		console.log("SlimGridAllGenres");
		console.dir( this.getScrollable());
*/
		this.callParent( arguments);
	},
/*
	onStoreLoad: function( store, records, success) {
	}
*/
	
});