Ext.define('LMSplaylistEditor.ux.SlimGridArtistTracksBase', {
	extend: 'LMSplaylistEditor.ux.SlimGridTracksBase',

	store: 'ArtistTracksBase',

	showArtistCol: false,
	currentArtistId: 0,

	initComponent: function() {
		this.callParent( arguments);
//		this.headerCt.remove('SlimGridTracksBase-colArtist');
	},

	updateById: function( aid) {
		//console.log( "aid:"+aid+" Caid:"+this.currentArtistId + " store:"+this.getStore().storeId);
		if (aid != this.currentArtistId) {
			this.setCurrentArtistId( aid);
			this.getStore().getProxy().setExtraParam('args', Ext.JSON.encode( {cmd: 'getTracksByArtist', artistid: aid }));
			var f = function( aid){ return function( records, operation, success) {
				if (!success) {
					this.setCurrentArtistId( 0);
				} else {
					if( this.isVisible() == true && this.isVisible( true) == false) {
						this.getView().refresh();
					}
				}
			}};
			this.getStore().load({
				scope: this,
				callback: f(aid)
			});
		}
	},

	getCurrentArtistId: function( ) {
		return this.currentArtistId;
	},
	setCurrentArtistId: function( aid) {
		this.currentArtistId = aid;
	}
});