Ext.define('LMSplaylistEditor.store.AllPlayers', {
	extend: 'Ext.data.Store',
	requires: ['LMSplaylistEditor.RuntimeConfig', 'LMSplaylistEditor.model.SlimPlayer'],
	model: 'LMSplaylistEditor.model.SlimPlayer',

	autoLoad: false,

	proxy: {
		type: 'ajax',
		timeout: 30000,
		noCache: false,
		url: LMSplaylistEditor.RuntimeConfig.config.LMSJSONURL,
		startParam: '',
		pageParam: '',
		limitParam: '',
		actionMethods: {
			create: 'POST',
			read: 'POST',
			update: 'POST',
			destroy: 'POST'
		},
		extraParams: {
			id: 1,
			method: "slim.request",
			params: ['-',['players', 0, 999]]
		},
		reader: {
			type: 'json',
			rootProperty: 'players_loop'
		}
	}
});
